<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$objetocalculo=new calculos();
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
if(substr(strtoupper($cliente ?? ""),0,8)=='DIMICRON')$cliente="DIMICRON";//este casuismo é necessario 
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");
$valorDeful=$objetocalculo->capturaDeful($idLabo,'livro_protocolo');
 
switch ($tela):
 	    case 'listarRemetentes':
        echo '<h2>Comprovante de Recebimento(Selecione o requerente, depois indique o periodo.)</h2>';
		echo("Caso queira ver listagem de TODOS REQUERENTES então clique no botão TODOS REQUERENTES.<br>");
       $rabichoSQL=" prd_id_lab=".$idLabo." order by prd_nome";
	   
	   if(post('algumasLetras') !== ""):
           //echo "esta em lista100";	
		   $letrinhas='%'.post('letrinhas').'%';   
		   $letrinhasDig='[ '.post('letrinhas').' ]';   
	       
	       $rabichoSQL=" prd_nome like '$letrinhas' and   prd_id_lab=".$idLabo." order by prd_nome"; 
	       //$pedacos=" order by fic_amostra desc"; 
		   $mensagemListagem="A listagem que aparece mostra as amostras do(s) requerente(s) que começa(m) por ". $letrinhasDig. ".  Existem comandos para buscar outros conjuntos de amostras. Se clicar no link CANETINHA, o sistema reabre a tela anterior exatamente naquela amostra. ";
	   endif;





		$sessao->setVar('controle',1);
		?>       
 		<div style="overflow: auto; width: 1000px; height: 400px; border:solid 1px">   
        <table width="1000" cellspacing="0" bgcolor="white" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome Requerente</th><th>- </th><th>Apelido</th><th>- </th><th>Endereco</th><th> </th><th>Município</th><th> </th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				//$user->extras_select = "WHERE prd_id_lab=".$idLabo." order by prd_nome";
				$user->extras_select = "WHERE " .$rabichoSQL;
                //echo("sql= $user->extras_select <br>");
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    $contador++;
					$nome=$contador.')'.$res->prd_nome;
					$apelido=$res->prd_apelido;
					if($contador % 2 !=0):
	                    printf('<td bgcolor="silver">%s',substr($nome,0,30));
						printf('
						</a> <a href="?m=comprovrecebimento&t=datas&prd_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
						</td>',$res->prd_id);
                        printf('<td >%s</td>',' - ');
	                    printf('<td bgcolor="silver">%s',$apelido);
						printf('<td >%s</td>',' - ');
	                    printf('<td bgcolor="silver">%s</td>',substr($res->prd_endereco,0,30));
						printf('<td >%s</td>',' - ');
	                    printf('<td bgcolor="silver">%s</td>',substr($res->prd_municipio,0,20));
						printf('<td >%s</td>',' - ');
		                    printf('<td bgcolor="silver" class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad)));
                    else:
	                    printf('<td>%s',substr($nome,0,30));
						printf('
						</a> <a href="?m=comprovrecebimento&t=datas&prd_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
						</td>',$res->prd_id);
						printf('<td >%s</td>','  ');
	                    printf('<td>%s',$apelido);
						printf('<td >%s</td>','  ');
	                    printf('<td>%s</td>',substr($res->prd_endereco,0,30));
						printf('<td >%s</td>','  ');
	                    printf('<td>%s</td>',substr($res->prd_municipio,0,20));
						printf('<td >%s</td>','  ');
		                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad)));
					endif;
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        </div>
        <form class="userform" method="POST" action="">
        <fieldset>
        <legend>Controles a disposição</legend>
		<table>
		<tr>
        <td>
			
			<input type="submit" name="algumasLetras" value="Algumas letras do nome-->" />
			<input type="text" name="letrinhas" size="10" value="" />
			<input type="button" onclick="location.href='?m=comprovrecebimento&t=datas&opcao=todosRequerentes'" value="TODOS REQUERENTES" /> <!--vai para outra tela-->		


		</td>		
        <td>
		</td>		
		</tr>
		</table>
        Obs.: <br>   
   </<fieldset>        
</form>




        <?php        
	break;//fim da case definir
	
	
	case 'datas':
    if (get('opcao') !== ""):
            $opcao = get('opcao');
			$sessao->setVar('idProdutor',0);
			$inicio=date("d/m/Y");
			$final=date("d/m/Y");
			echo ("Excluiu seleção por requerente $opcao . Acesso a dados de TODOS REQUERENTES<br>");
	endif;	

    $inicio=get('inicio');
	if($inicio=="")$inicio=date("d/m/Y");
    $final=get('final');
	if($final=="")$final=date("d/m/Y");

    


    //preservar alguns valores digitados 
    //a primeira linha é por periodo de data entao nao faz sentido colocar o ano
	$anoAmostras2=post('anoAmostras2');
	if($anoAmostras2==0)$anoAmostras2=date("Y"); 
	$anoAmostras3=post('anoAmostras3');
	if($anoAmostras3==0)$anoAmostras3=date("Y"); 
	$anoAmostras4=post('anoAmostras4');
	if($anoAmostras4==0)$anoAmostras4=date("Y"); 
	//da forma como esta aqui ele preserva o numero para listagem e extra
	$inicioNumero=post('inicioNumero');
    $finalNumero=post('finalNumero');
	
	
	
   // echo("ppppppppppassou no case<br>");
   



	
	
    if (get('prd_id') !== ""):
            $idProdutor = get('prd_id');
			$sessao->setVar('idProdutor',$idProdutor);
			$inicio=date("d/m/Y");
			$final=date("d/m/Y");
	endif;	

	
	
//aqui trabalha com datasXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX	
      if(post('bt_imprimir1') !== ""):
	     $observacaoDireta1=post('observacao');
	     $observacaoDireta2=post('observacao2');
	     $observacaoDireta3=post('observacao3');
	     $observacaoDireta4=post('observacao4');
	     $observacaoDireta5=post('observacao5');
	     $inicio=post('inicio');
	     $final=post('final');
		 $previsao=post('previsao');
		 $pagamento=post('pagamento');
         if($pagamento=='Indefinido'):
		     printMSG('Precisa informar  como pago ou  não pago, para poder enviar para impressão!');
		 else:
		     $ultimoComprovanteEmitido=post('ultimoComprovanteEmitido');
			 $sessao->setVar('inicio', $inicio);
			 $sessao->setVar('final', $final);
			 $sessao->setVar('controle1', $previsao);	  
		     $sessao->setVar('controle','CURTO');
		     $sessao->setVar('controle2',$pagamento);
		     $sessao->setVar('controle3','POR_DATA');
			 $obsConcatenado=$observacaoDireta1.'#'.$observacaoDireta2.'#'.$observacaoDireta3.'#'.$observacaoDireta4.'#'.$observacaoDireta5.'#';
	         $sessao->setVar('controle5',$obsConcatenado);
			 $sessao->setVar('controle7',$ultimoComprovanteEmitido);
			 //echo("vai mandar para o pagamento ultimoComprovanteEmitido =$ultimoComprovanteEmitido<br>");
			 echo '<iframe src="imprimecomprovante1.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
         endif;
      endif;

	  //$pegaInicio=$sessao->getVar('inicio');
	  //echo("pegou variavel inicio e colocou na sessao= $pegaInicio  <br>");
	  
	  
      
	  if(post('bt_imprimir2') !== ""):
	     $observacaoDireta1=post('observacao');
	     $observacaoDireta2=post('observacao2');
	     $observacaoDireta3=post('observacao3');
	     $observacaoDireta4=post('observacao4');
	     $observacaoDireta5=post('observacao5');
 	     $obsConcatenado=$observacaoDireta1.'#'.$observacaoDireta2.'#'.$observacaoDireta3.'#'.$observacaoDireta4.'#'.$observacaoDireta5.'#';
         $sessao->setVar('controle5',$obsConcatenado);
	     $inicio=post('inicio');
	     $final=post('final');
		 $previsao=post('previsao');
		 $pagamento=post('pagamento');
         if($pagamento=='Indefinido'):
		     printMSG('Precisa informar  como pago ou  não pago, para poder enviar para impressão!');
		 else:
             $ultimoComprovanteEmitido=post('ultimoComprovanteEmitido');
			 $sessao->setVar('inicio', $inicio);
			 $sessao->setVar('final', $final);
			 $sessao->setVar('controle1', $previsao);
		     $sessao->setVar('controle2',$pagamento);
		     $sessao->setVar('controle','CURTO');
		     $sessao->setVar('controle3','POR_DATA');
             $sessao->setVar('controle7',$ultimoComprovanteEmitido);
			 //echo("vai mandar para o pagamento ultimoComprovanteEmitido =$ultimoComprovanteEmitido<br>");
			 echo '<iframe src="imprimecomprovante2.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		 endif;
      endif;


      if(post('bt_imprimir3') !== ""):
	     $inicio=post('inicio');
	     $final=post('final');
		 $previsao=post('previsao');
		 $pagamento='nihil';
		 $sessao->setVar('inicio', $inicio);
		 $sessao->setVar('final', $final);
		 $sessao->setVar('controle1', $previsao);	  
	     $sessao->setVar('controle','CURTO');
	     $sessao->setVar('controle2',$pagamento);
	     $sessao->setVar('controle3','POR_DATA');
	     //$sessao->setVar('controle4','POR_DATA');
	     $observacaoDireta=post('observacao');
		 $observacaoDireta2=post('observacao2');
	     $observacaoDireta3=post('observacao3');
	     $observacaoDireta4=post('observacao4');
	     $observacaoDireta5=post('observacao5');
	     $sessao->setVar('controle5',$observacaoDireta);
	     $sessao->setVar('controle7',$observacaoDireta2);
	     $sessao->setVar('controle8',$observacaoDireta3);
	     $sessao->setVar('controle9',$observacaoDireta4);
	     $sessao->setVar('controle10',$observacaoDireta5);
         //UNIJUI USA ESTE COMPROVANTE SEM AS CULUNAS CUSTO
         if($cliente!='UNIJUI'):
    	    echo '<iframe src="imprimecomprovante3.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
         else: 
    	    echo '<iframe src="imprimecomprovante3UNIJUI.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		 endif;		 
		 
		 
		 
      endif;

      if(post('bt_imprimir3_sem_pagar') !== ""):
	     $inicio=post('inicio');
	     $final=post('final');
		 $previsao=post('previsao');
		 $pagamento='nihil';
		 $sessao->setVar('inicio', $inicio);
		 $sessao->setVar('final', $final);
		 $sessao->setVar('controle1', $previsao);	  
	     $sessao->setVar('controle','CURTO');
	     $sessao->setVar('controle2',$pagamento);
	     $sessao->setVar('controle3','POR_DATA');
	     $sessao->setVar('controle5',post('observacao'));
	     $observacaoDireta=post('observacao');
	     //$sessao->setVar('controle4','gol vermelho');
    	 echo '<iframe src="imprimecomprovante3_sem_pagar.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;





//aqui trabalha com NUMERO DE AMOSTRAXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX	
      if(post('bt_imprimir1Numero') !== ""):
	     $observacaoDireta=post('observacao');
	     $inicioNumero=post('inicioNumero');
	     $finalNumero=post('finalNumero');
		 $previsao=post('previsao');
		 $pagamentoNumero=post('pagamentoNumero');
         if($pagamentoNumero=='Indefinido'):
		     printMSG('Precisa informar  como pago ou  não pago, para poder enviar para impressão!');
		 else:
             $ultimoComprovanteEmitido=post('ultimoComprovanteEmitido');
			 $sessao->setVar('inicio', $inicioNumero);
			 $sessao->setVar('final', $finalNumero);
			 $sessao->setVar('controle1', $previsao);	  
		     $sessao->setVar('controle','CURTO');
		     $sessao->setVar('controle2',$pagamentoNumero);
		     $sessao->setVar('controle3','POR_NUMERO');
			 $sessao->setVar('controle5',post('observacao'));
			 $sessao->setVar('controle6',$anoAmostras2);
			 $sessao->setVar('controle7',$ultimoComprovanteEmitido);
			 //echo("vai mandar para o pagamento ultimoComprovanteEmitido =$ultimoComprovanteEmitido<br>");
			 echo '<iframe src="imprimecomprovante1.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
         endif;
      endif;

	  //$pegaInicio=$sessao->getVar('inicio');
	  //echo("pegou variavel inicio e colocou na sessao= $pegaInicio  <br>");
	  
	  
      if(post('bt_imprimir2Numero') !== ""):
	     $observacaoDireta=post('observacao');
	     $inicioNumero=post('inicioNumero');
	     $finalNumero=post('finalNumero');
		 $previsao=post('previsao');
		 $pagamentoNumero=post('pagamentoNumero');
         if($pagamentoNumero=='Indefinido'):
		     printMSG('Precisa informar  como pago ou  não pago, para poder enviar para impressão!');
		 else:
             $ultimoComprovanteEmitido=post('ultimoComprovanteEmitido');
			 $sessao->setVar('inicio', $inicioNumero);
			 $sessao->setVar('final', $finalNumero);
			 $sessao->setVar('controle1', $previsao);
		     $sessao->setVar('controle2',$pagamentoNumero);
		     $sessao->setVar('controle','CURTO');
		     $sessao->setVar('controle3','POR_NUMERO');
	         $sessao->setVar('controle5',post('observacao'));
			 $sessao->setVar('controle6',$anoAmostras2);
			 $sessao->setVar('controle7',$ultimoComprovanteEmitido);
			 //echo("vai mandar para o pagamento ultimoComprovanteEmitido =$ultimoComprovanteEmitido<br>");
			 echo '<iframe src="imprimecomprovante2.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		 endif;
      endif;

      //imprime a listagem pegando pelo numero
      if(post('bt_imprimir3Numero') !== ""):
	     $observacaoDireta=post('observacao');
         if(post('cb_cultivar') !== ""):
			 ?>
			 <SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
	         alert ("Para não imprimir a cultivar, desmarque a opção C.")
	         </SCRIPT>
			 <?php
		     $sessao->setVar('controle11','comCultivar');
		 else:  
		     $sessao->setVar('controle11','semCultivar');
		 endif;
         $correio=post('correio');
         $pacote=post('pacote');
		 $previsao=post('previsao');
		 $pagamento='nihil';
		 $sessao->setVar('inicio', $inicioNumero);
		 $sessao->setVar('final', $finalNumero);
	     $sessao->setVar('controle',$correio);
         if(substr($cliente,0,4)=='TS L')$sessao->setVar('controle','CURTO');		 
		 $sessao->setVar('controle1', $previsao);	  
	     $sessao->setVar('controle2',$pagamento);
	     $sessao->setVar('controle3','POR_NUMERO');
	     $sessao->setVar('controle5',$pacote);
	     $sessao->setVar('controle6',$anoAmostras2);
////////////////
         $ultimoComprovanteEmitido=post('ultimoComprovanteEmitido');
		 $sessao->setVar('controle7',$ultimoComprovanteEmitido);
/////////////////
		 if(substr($cliente,0,8)=='DIMICRON' || substr($cliente,0,12)=='LAS CONCEITO'  || $cliente=='TRISOLO'  || $cliente=='IRGA'):
		      echo '<iframe src="imprimecomprovante3DIMICRON.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		      echo '<iframe src="imprimecomprovante3DIMICRON_cultivar.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
			  
			  
	     else:
		      echo '<iframe src="imprimecomprovante3.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		 endif;		  
      endif;


      if(post('bt_imprimir4Numero') !== ""):
	     $observacaoDireta=post('observacao');

		 $previsao=post('previsao');
		 $pagamento='nihil';
		 $sessao->setVar('inicio', $inicioNumero);
		 $sessao->setVar('final', $finalNumero);
		 $sessao->setVar('controle1', $previsao);	  
	     $sessao->setVar('controle','CURTO');
	     $sessao->setVar('controle2',$pagamento);
	     $sessao->setVar('controle3','POR_NUMERO');
	     $sessao->setVar('controle5',post('observacao'));
		 $sessao->setVar('controle6',$anoAmostras2);
		 echo '<iframe src="imprimecomprovante4TaxaExtra.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;


      if(post('bt_quitar') !== ""):
	     $amostraInicialQuitar=post('amostraInicialQuitar');
	     $amostraFinalQuitar=post('amostraFinalQuitar');
         $ultimoComprovanteEmitido=1+post('ultimoComprovanteEmitido');

         //echo("funfando $amostraInicial  amostrafinal= $amostraFinal <br>");
		 /////////////////////////
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$campos=" select fic_amostra,fic_id ";
			$generica->extras_select =$campos ."  from  ficha where year(fic_dt_entrada)='".$anoAmostras3."' and fic_amostra between  '".$amostraInicialQuitar."' and '".$amostraFinalQuitar."'  && fic_produtor=" . $idProdutor;
           
		   
		    //echo("sssssssssql $generica->extras_select<br>");
			
			
			
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
               $contador++; 
               $amostraLong=$resgenerica->fic_id;
               $user = new amostras(array(
                    'fic_pagou'=>'SIM',
				    'fic_comprovante'=>$ultimoComprovanteEmitido,
                ));
                $user->valorpk = $amostraLong;
                $user->extras_select = "WHERE   fic_id=$amostraLong";
                $user->selecionaTudo($user);
                $res = $user->retornaDados();
                $user->atualizar($user);
			endwhile;//loop principal 
			//echo(" $contador amostras, do intervalo informado, estao quitadas!<br>");
			printMSG('Ok '.$contador .' amostras, do intervalo informado, estao quitadas!');

		 ///////////////////////////
      endif;//testa se clicou em quitar


      if(post('bt_desQuitar') !== ""):
	     $amostraInicialDesquitar=post('amostraInicialDesquitar');
	     $amostraFinalDesquitar=post('amostraFinalDesquitar');
	     //$anoAmostras4=post('anoAmostras4');
         //echo("funfando $amostraInicial  amostrafinal= $amostraFinal <br>");
		 /////////////////////////
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$campos=" select fic_amostra,fic_id ";
			$generica->extras_select =$campos ."  from  ficha where year(fic_dt_entrada)='".$anoAmostras4."' and fic_amostra between  '".$amostraInicialDesquitar."' and '".$amostraFinalDesquitar."'  && fic_produtor=" . $idProdutor;

			$generica->selecionaCamposEspecial($generica);
			$contador=0;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
               $contador++; 
               $amostraLong=$resgenerica->fic_id;
               $user = new amostras(array(
                    'fic_pagou'=>'NAO',
                ));
                $user->valorpk = $amostraLong;
                $user->extras_select = "WHERE   fic_id=$amostraLong";
                $user->selecionaTudo($user);
                $res = $user->retornaDados();
                $user->atualizar($user);
			endwhile;//loop principal 
			//echo(" $contador amostras, do intervalo informado, estao quitadas!<br>");
			printMSG('Ok '.$contador .' amostras, do intervalo informado, foram desquitadas!');

		 ///////////////////////////
      endif;//testa se clicou em quitar




      if(post('bt_quitarExtra') !== ""):
	     $amostraInicialQuitar=post('amostraInicialQuitar');
	     $amostraFinalQuitar=post('amostraFinalQuitar');
	     //echo("funfando $amostraInicial  amostrafinal= $amostraFinal <br>");
		 /////////////////////////
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$campos=" select fic_amostra,fic_id ";
			$generica->extras_select =$campos ."  from  ficha where year(fic_dt_entrada)='".$anoAmostras3."' and fic_amostra between  '".$amostraInicialQuitar."' and '".$amostraFinalQuitar."'  && fic_produtor=" . $idProdutor;

			$generica->selecionaCamposEspecial($generica);
			$contador=0;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
               $contador++; 
               $amostraLong=$resgenerica->fic_id;
               $user = new amostras(array(
                    'fic_pagou_extra'=>'SIM',
                ));
                $user->valorpk = $amostraLong;
                $user->extras_select = "WHERE   fic_id=$amostraLong";
                $user->selecionaTudo($user);
                $res = $user->retornaDados();
                $user->atualizar($user);
			endwhile;//loop principal 
			//echo(" $contador amostras, do intervalo informado, estao quitadas!<br>");
			printMSG('Ok '.$contador .' testes extra das amostras, do intervalo informado, estao quitadas!');

		 ///////////////////////////
      endif;//testa se clicou em quitar extrea

      if(post('bt_desQuitarExtra') !== ""):
	     $amostraInicialDesquitar=post('amostraInicialDesquitar');
	     $amostraFinalDesquitar=post('amostraFinalDesquitar');
	     //echo("funfando $amostraInicial  amostrafinal= $amostraFinal <br>");
		 /////////////////////////
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$campos=" select fic_amostra,fic_id ";
			$generica->extras_select =$campos ."  from  ficha where year(fic_dt_entrada)='".$anoAmostras4."' and fic_amostra between  '".$amostraInicialDesquitar."' and '".$amostraFinalDesquitar."'  && fic_produtor=" . $idProdutor;

			$generica->selecionaCamposEspecial($generica);
			$contador=0;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
               $contador++; 
               $amostraLong=$resgenerica->fic_id;
               $user = new amostras(array(
                    'fic_pagou_extra'=>'NAO',
                ));
                $user->valorpk = $amostraLong;
                $user->extras_select = "WHERE   fic_id=$amostraLong";
                $user->selecionaTudo($user);
                $res = $user->retornaDados();
                $user->atualizar($user);
			endwhile;//loop principal 
			//echo(" $contador amostras, do intervalo informado, estao quitadas!<br>");
			printMSG('Ok '.$contador .' testes extra das amostras, do intervalo informado, estao DESquitadas!');

		 ///////////////////////////
      endif;//testa se clicou em quitar extrea




    //trouxe o codigo , quero capturar o nome do remetnte
	//ENTRA DE QUAKQUER MANEIRA
    $idProdutor=$sessao->getVar('idProdutor'); 	
	$generica=new tabelagenerica();
	$generica->tabela="remetente";
	$generica->campos_valores = array( 
		   "prd_nome" => NULL,
		);
	$generica->extras_select =" where  prd_id=" . $idProdutor;
	$generica->selecionaCampos($generica);
    while ($res = $generica->retornaDados()):
        $produtor=$res->prd_nome;
    endwhile; 
	 
	$mensagemRequerente="Amostra(s) do requerente: ".$produtor;
    if($idProdutor==0)$mensagemRequerente="Apenas extrair listagem do dia ou de grupo de amostras de TODOS REQUERENTES. ";	
	               
    echo("<h2>$mensagemRequerente </h2>" );
    $sessao->setVar('controle4',$produtor); 
	
	//captura o maior valor do campo fic_comprovante
		//ENTRA DE QUAKQUER MANEIRA
		$generica=new tabelagenerica();
		$campos=" select Max(fic_comprovante) as ultimo";
		$generica->extras_select =$campos ."  from  ficha where year(fic_dt_entrada)='".$anoCorrente."'  && fic_labo=" . $idLabo;
		$generica->selecionaCamposEspecial($generica);
		$contador=0;
        //vou criar a matriz de conteudos que vai ter linhas e colunas
		$ultimoComprovanteEmitido=0;
		while($resgenerica= $generica->retornaDados()):
           $contador++; 
           $ultimoComprovanteEmitido=$resgenerica->ultimo;
		endwhile;//loop principal 
	    //echo("varia= ultimoComprovanteEmitido   testando fim do php= $generica->extras_select    <br>");

    ?>
		
		
		
		
		<form class="userform" method="post" action="">
        <fieldset>
        <legend>Informe o período de recebimento, com datas válidas no formato dd/mm/aaaa</legend>
		<table border="1"  bgcolor='silver' width="900" >
        <tbody>
		<tr>
        <td>Critério</td>
        <td>Inicio</td>
		<td>Final</td>
		<td>Ano</td>
		<td>Previsão</td>		
		<td>Opção</td>		
		<td>Imprimir</td>		

		</tr>
        </tbody>
		<tr>
	        <td>Datas</td>		
	        <td><input type="text" name="inicio" size="8" maxlength="10"  value="<?php echo $inicio;?>" </td>		
			<td><input type="text" name="final" size="8" maxlength="10"  value="<?php echo $final;?>" </td>		
            <td>- </td>		
			<td><input type="text" name="previsao" size="8" maxlength="10"  value="<?php echo $previsao;?>" </td>		
			<td>
			 <select name="pagamento" value="">  
		   		<option>Indefinido</option>
		   		<option>Pago</option>
		   		<option>Não pago</option>
		     </select>
			</td>
            <td>
			<input type="submit" name="bt_imprimir1" value="Modelo 1D" />
			<input type="submit" name="bt_imprimir2" value="Modelo 2D" />
			<input type="submit" name="bt_imprimir3" value="Listagem" />
			<input type="submit" name="bt_imprimir3_sem_pagar" value="Sem Pagar" />
			</td>			
        </tr>
		<tr>
	        <td>Número:</td>		
	        <td><input type="text" name="inicioNumero" size="8" maxlength="10"  value="<?php echo $inicioNumero;?>" </td>		
			<td><input type="text" name="finalNumero" size="8" maxlength="10"  value="<?php echo $finalNumero;?>" </td>	
			<td><input type="text" name="anoAmostras2" size="2"  value="<?php echo $anoAmostras2;?>" </td>		
	
			<td>- </td>		
			<td>
			 <select name="pagamentoNumero" value="">  
		   		<option>Indefinido</option>
		   		<option>Pago</option>
		   		<option>Não pago</option>
		     </select>
			</td>
            <td>
			<input type="submit" name="bt_imprimir1Numero" value="Modelo 1N" />
			<input type="submit" name="bt_imprimir2Numero" value="Modelo 2N" />
			<input type="submit"  name="bt_imprimir3Numero" value="<?php echo $cliente ; ?>" />
			c<input type="checkbox"   name="cb_cultivar"     <?php echo 'checked' ?> />
			<input type="submit" name="bt_imprimir4Numero" value="Extra" />
			</td>			
        </tr>




<tr>
<td>Número:</td>
<td><input type="text" name="amostraInicialQuitar" size="8"  value="<?php echo $amostraInicialQuitar;?>" </td>		
<td><input type="text" name="amostraFinalQuitar" size="8"  value="<?php echo $amostraFinalQuitar;?>" </td>		
<td><input type="text" name="anoAmostras3" size="2"  value="<?php echo $anoAmostras3;?>" </td>		
<td><input type="submit" name="bt_quitar" value="Quitar" /></td>	
<td><input type="submit" name="bt_quitarExtra" value="Quitar Extra" /></td>	
	

</tr>

<tr>
<td>Número:</td>
<td><input type="text" name="amostraInicialDesquitar" size="8"  value="<?php echo $amostraInicialDesquitar;?>" </td>		
<td><input type="text" name="amostraFinalDesquitar" size="8"  value="<?php echo $amostraFinalDesquitar;?>" </td>		
<td><input type="text" name="anoAmostras4" size="2"  value="<?php echo $anoAmostras4;?>" </td>		
<td><input type="submit" name="bt_desQuitar" value="desQuitar" /></td>	
<td><input type="submit" name="bt_desQuitarExtra" value="Desquitar Extra" /></td>	
	
</tr>
</table>




<table width="900" bgcolor='#e6d7f9' >
<tr>
<td>Observação:
<input type="text" name="observacao" size="60"  value="<?php echo $observacaoDireta;?>" />
Último comprovante Nº<input type="text" name="ultimoComprovanteEmitido" size="2" maxlength="5" value="<?php echo $ultimoComprovanteEmitido;?>" />		
Despesa correio<input type="text" name="correio" size="1" maxlength="5" value="<?php echo $correio;?>"/>
PCT<input type="text" name="pacote" size="1" maxlength="5" value="<?php echo $pacote;?>"/>

</td>		
</tr>
<tr>
<td>Observação:
<input type="text" name="observacao2" size="60"  value="<?php echo $observacaoDireta2;?>" />
</td>		
</tr>
<tr>
<td>Observação:
<input type="text" name="observacao3" size="60"  value="<?php echo $observacaoDireta3;?>" />
</td>		
</tr>
<tr>
<td>Observação:
<input type="text" name="observacao4" size="60"  value="<?php echo $observacaoDireta4;?>" />
</td>		
</tr>
<tr>
<td>Observação:
<input type="text" name="observacao5" size="60"  value="<?php echo $observacaoDireta5;?>" />
</td>		
</tr>



</table>



        <hr>
		<!--aqui coloco um botao para cda modelo-->
		<td>Imprimir->
		
		</td>
		<td><input type="submit" name="manual" value="Ajuda" /></td>
        </fieldset>
        <td><input type="text" name="id" size="1"  value="<?php echo $id;?>" </td>		
		<table width="400" bgcolor="black">
	    <tr>
		<td><a href="?m=comprovrecebimento&t=listarRemetentes&sx=x"   title="Editar">Outro Requerente </a></td>
		<td><a href="?m=comprovrecebimento&t=taxaExtra&sx=x"   title="Editar">Taxa extra </a> </td>
		</tr>
	    </table>	
			Use a opção Não pago, se precisar ver o total. Selecionando PAGO o sistema emite o recibo e já quita a(s) amostras(s)!



        </form>
	<?php

break;//fim da case datas



    case 'taxaExtra':
       //se foi encomendado mais um teste ele vai poder registrar valor,data,teste
       //echo("entrou setor taxa extra");
       //poderia mostrar as taxas extras deste requerente
        $produtor=$sessao->getVar('controle4');   
	    echo("<h2>Amostras do requerente: " .$produtor."</h2>" );
	    echo("<h3>Taxa extra é cobrada por algum teste encomendado depois da primeira cobrança. </h3>" );

        //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="determinacoes";
		$generica->campos_valores = array(
				"det_sigla" => NULL,
			);
		$generica->extras_select =" order by det_sigla";
	    $generica->selecionaCampos($generica);
        $contador1=0;
		while ($resgenerica = $generica->retornaDados()):
			$contador1++; 
			$vetorDete[$contador1]=$resgenerica->det_sigla;
			//echo("achando teste<br>");
	    endwhile;






	   if(post('gravarTaxa') !== ""):
	      $amostra=post('amostra');
	      $valor=post('valor');
	      $teste=post('teste');
	      $pagou=post('pagou');
	      $data=post('data');
          $vaiGravar="NAO";
		  if($amostra>0)$vaiGravar="SIM";
		  if($valor>0)$vaiGravar="SIM";
		  if($valor1!='')$vaiGravar="SIM";
		  
          
          if($vaiGravar=='SIM'): 		  
		      //echo("entrou setor taxa extra amostra=$amostra<br>");
			  //primeiro teria que ver se esta amostra é deste requerente
				//ENTRA DE QUAKQUER MANEIRA
				$amostraLong=0;
			    $idProdutor=$sessao->getVar('idProdutor'); 	
				$generica=new tabelagenerica();
				$generica->tabela="ficha";
				$generica->campos_valores = array( 
					   "fic_id" => NULL,
					   "fic_tta_complementar" => NULL,
					);
				$generica->extras_select =" where fic_ano='".$anoCorrente."' and fic_amostra=".$amostra." and  fic_produtor=" . $idProdutor;
				$generica->selecionaCampos($generica);
			    while ($res = $generica->retornaDados()):
			        $amostraLong=$res->fic_id;
			        $campoArmazenado=$res->fic_tta_complementar;
			    endwhile;                

	            //se achou a amostra...
				if($amostraLong>0):
	               //echo("achou a amostra $amostraLong conteudo=$campoArmazenado <br>");			
	               //vai salvar o valor no campo fic_tta_complementar
				   $textoFinal=$teste.'*'.$pagou.'*'.$data.'*'.$valor.'*';
	    			$user = new amostras(array(
			              'fic_tta_complementar'=>$textoFinal,
			            ));
			            $user->valorpk = $amostraLong;
			            $user->extras_select = "WHERE   fic_amostra=$amostraLong";
			            $user->selecionaTudo($user);
			            $res = $user->retornaDados();
			            $user->atualizar($user);

				else:
				    printMSG('Amostra não localizada!');
					echo("achou a amostra $generica->extras_select <br>");		
	            endif;//se achou a amostra			
           else:
 	   		  printMSG('Precisa informar  amostra, valor, e teste!');
           endif;//testa se´vaigravar=sim  
     endif;//testa se é o botao gravar taxa
	   ///////vai mostrar///////////////////////////
	          /////////aqui vai mostrar o que tem de taxa extra//////////
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		$sessao->setVar('controle',1);       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    
                },
                "sScrollX": "400px",
                "sScrollY": "200px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Amostra</th><th>Teste</th><th>Pagou</th><th>Data</th><th>Valor</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				//ENTRA DE QUAKQUER MANEIRA
				$amostraLong=0;
			    $idProdutor=$sessao->getVar('idProdutor'); 	
				$generica=new tabelagenerica();
				$generica->tabela="ficha";
				$generica->campos_valores = array( 
					   "fic_amostra" => NULL,
					   "fic_id" => NULL,
					   "fic_tta_complementar" => NULL,
					);
				$generica->extras_select =" where fic_ano='".$anoCorrente."'  and  fic_produtor=" . $idProdutor;
				$generica->selecionaCampos($generica);
                $soma=0;
			    while ($res = $generica->retornaDados()):
			        $amostraLong=$res->fic_id;
			        $campoArmazenado=$res->fic_tta_complementar;
					//o valor deful é MP porque é materia prima...
					if(substr($campoArmazenado,0,2)=="MP"):
						$teste='-';
	                    $valor="-";
	                    $pagou="-";
	                    $data="-";
					else:
                        list($teste,$pagou,$data,$valor)=explode("*",$campoArmazenado) ;
                    endif; 

					echo '<tr>';
                    printf('<td>%s</td>',$res->fic_amostra);
                    printf('<td>%s</td>',$teste);
                    $soma+=$valor;
				    printf('<td>%s</td>',$pagou);
				    printf('<td>%s</td>',$data);
				    printf('<td>%s</td>',$valor);
                    echo '</tr>';
                endwhile; 
				    //vai apresentar os totais               
					echo '<tr>';
                    printf('<td>%s</td>','Soma=');
				    printf('<td>%s</td>','-');
				    printf('<td>%s</td>','-');
				    printf('<td>%s</td>','-');
                    printf('<td>%s</td>',$soma);
                    echo '</tr>';




                ?>
            </tbody>
        </table>

	   <!--fim do vai mostrar///////////////////////-->
	   
	   
	   
		<form class="userform" method="post" action="">
        <br>
		<fieldset>
        <legend>Informe o numero da amostra, o valor e a sigla da taxa extra</legend>
		<table border="1"  bgcolor='silver' width="700" >
        <tbody>
		<tr>
        <td>Amostra</td>
        <td>Valor</td>
        <td>Pagou</td>
        <td>Data</td>
		<td>Teste</td>

		</tr>
        </tbody>
		<tr>
	        <td><input type="text" name="amostra" size="8" maxlength="5"  value="<?php echo $amostra;?>" </td>		
			<td><input type="text" name="valor" size="4" maxlength="8"  value="<?php echo $valor;?>" </td>		
			<td><input type="text" name="pagou" size="3" maxlength="3"  value="<?php echo $pagou;?>" </td>		
			<td><input type="text" name="data" size="8" maxlength="10"  value="<?php echo $data;?>" </td>		
			<td>
	       <td><select name="teste" >  
	        <?php
			for($i=1;$i<=$contador1;$i++)
			{
			   	?>
				 <option><?php echo $vetorDete[$i]; ?></option>
			    <?php 	
			}   
	        ?> 
	        </select>
			</td>
            <td>
			<input type="submit" name="gravarTaxa" value="Gravar Taxa" />
			</td>			
        </tr>



        </table>


		
		<td><input type="submit" name="manual" value="Ajuda" /></td>
        </fieldset>
        <td><input type="text" name="id" size="1"  value="<?php echo $id;?>" </td>		
		<table width="200" bgcolor="black">
	    <tr>
		<td><a href="?m=comprovrecebimento&t=definir&sx=x"   title="Editar">Outro Requerente </a>  </td>
		</tr>
	    </table>	



        </form>

        <?php


    break;//fim do case taxa extra
	
	








	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>
